Subject: Re: [tcpm] removing TCP's initial window

From: Karen Elisabeth Egede Nielsen <[email-masked]>
Date: Wed, 2 Dec 2015 13:34:10 +0100

Hi,

Agree to do this also for SCTP.

Even more so I would like "the after idle case" to be covered as well AND
I really like what
was written in one of the previous postings in this thread:

>> In the vein of giving an inch and they will ask to take a mile, if
>> such a paced, large IW is OK for the start of a connection, would it
>> also be OK for "slow start after idle?"  Or perhaps the lesser of that
>> IW and cwnd when the connection went idle.

>Perhaps.  The difference is that in this case the host has *some* notion
of the path it is traversing.  But, at some point that notion is so dated
that indeed treating it like a brand new connection from a >CC standpoint
seems OK to me.  But, there are probably more considerations here than at
the start of a connection.

>allman

This sounds as if we finally could get to handle the after idle situation,
which is a significant issue for
semi static long living connections/associations and critical for the
re-usability of a path in multi-path situations.
AND here I would like to see "refresh" of ssthresh come into the picture
as well as the IW it self.

E.g., in the unfortunate case where the CWND/flightsize of the connection
was low when the timeout occurred, then
the set SSthresh would block slow start when traffic resumes after
idleness.

All of this fist very nicely with our thoughts for RFC4960bis !

BR, Karen

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Michael Tuexen
> Sent: 25. november 2015 20:59
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [tcpm] removing TCP's initial window
>
> > On 24 Nov 2015, at 18:43, Mark Allman <[email-masked]> wrote:
> >
> >
> > A proposal for allowing end hosts to set their initial cwnd to
> > whatever they want ... in the canonical form that we use to propose
> > such things ...
> Hi Marc,
>
> I really like and support this document. Wouldn't is make sense
> not to restrict this document to TCP, but also cover SCTP?
>
> Best regards
> Michael
> >
> >  draft-allman-tcpm-no-initwin-00.txt
> >
> > allman
> >
> >
> > --
> > http://www.icir.org/mallman/
> >
> >
> >
> >
> > _______________________________________________
> > tcpm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tcpm
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm